org.apache.hc.core5.http.impl.nio

## Class DefaultHttpResponseParserFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.nio.DefaultHttpResponseParserFactory

- All Implemented Interfaces:
    NHttpMessageParserFactory<HttpResponse>

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultHttpResponseParserFactory
      extends Object
      implements NHttpMessageParserFactory<HttpResponse>

  Default factory for response message parsers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpResponseParserFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpResponseParserFactory()`
    `DefaultHttpResponseParserFactory(Http1Config http1Config)`
    `DefaultHttpResponseParserFactory(Http1Config http1Config, HttpResponseFactory<HttpResponse> responseFactory, LineParser lineParser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NHttpMessageParser<HttpResponse>` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpResponseParserFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(Http1Config http1Config,
                                                  HttpResponseFactory<HttpResponse> responseFactory,
                                                  LineParser lineParser)

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(Http1Config http1Config)

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory()

  - ### Method Detail

    - #### create

          public NHttpMessageParser<HttpResponse> create()

      Specified by:
        `create` in interface `NHttpMessageParserFactory<HttpResponse>`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.